package com.persagy.apm.diagnose.maintenance.constant;

import com.alibaba.druid.util.StringUtils;

/**
 * 报警状态
 */
public enum EnumAlarmLevel {

    S("1", "高"),
    A("2", "中"),
    B("3", "低");

    private String code;
    private String name;

    EnumAlarmLevel(String code, String name){
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }
    public String getName() {
        return name;
    }

    public void setCode(String code) {
        this.code = code;
    }
    public void setName(String name) {
        this.name = name;
    }

    public static EnumAlarmLevel getEnumAlarmLevel(String code) {
        if(StringUtils.isEmpty(code)) {
            return null;
        }
        for(EnumAlarmLevel item : EnumAlarmLevel.values()) {
            if(item.getCode().equals(code)) {
                return item;
            }
        }
        return null;
    }
}
