package com.persagy.apm.diagnose.maintenance.constant;

import com.alibaba.druid.util.StringUtils;

/**
 * 维保 冷水机组设备类型编码集合
 */
public enum EnumCoolWaterPointNameType {

    RunStatus("runStatus","运行状态"),//1开启 0关闭
//    CondTemp("returnAirTemp","冷凝温度"),
//    CondWaterOutTemp("supplyAirTemp","冷凝器出口水温"),
//    EvapTemp("supplyAirTemp","蒸发温度"),
//    EvapWaterOutTemp("returnAirTemp","蒸发器出口水温");
    CondTemp("condTemp","冷凝温度"),
    CondWaterOutTemp("condWaterOutTemp","冷凝器出口水温"),
    EvapTemp("evapTemp","蒸发温度"),
    EvapWaterOutTemp("evapWaterOutTemp","蒸发器出口水温");

    private String code;
    private String name;

    EnumCoolWaterPointNameType(String code,String name){
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }
    public String getName() {
        return name;
    }

    public void setCode(String code) {
        this.code = code;
    }
    public void setName(String name) {
        this.name = name;
    }

    public static EnumCoolWaterPointNameType getEnumMaintenanceDataType(String code) {
        if(StringUtils.isEmpty(code)) {
            return null;
        }
        for(EnumCoolWaterPointNameType item : EnumCoolWaterPointNameType.values()) {
            if(item.getCode().equals(code)) {
                return item;
            }
        }
        return null;
    }
}
